public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Louis Sautier" <sbraz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/doublex/
Date: Sun, 13 Sep 2020 16:50:45 +0000 (UTC)	[thread overview]
Message-ID: <1600015840.f04279a491165d84f5120dddaf30c7cd007cd037.sbraz@gentoo> (raw)

commit:     f04279a491165d84f5120dddaf30c7cd007cd037
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 13 16:50:07 2020 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sun Sep 13 16:50:40 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f04279a4

dev-python/doublex: disable broken tests, support Python 3.9

Closes: https://bugs.gentoo.org/737926
Package-Manager: Portage-3.0.6, Repoman-3.0.1
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/doublex/doublex-1.9.2.ebuild | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

diff --git a/dev-python/doublex/doublex-1.9.2.ebuild b/dev-python/doublex/doublex-1.9.2.ebuild
index 48f7f302a18..167fc6a19c2 100644
--- a/dev-python/doublex/doublex-1.9.2.ebuild
+++ b/dev-python/doublex/doublex-1.9.2.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
 
 inherit distutils-r1 vcs-snapshot
 
@@ -27,6 +27,16 @@ RDEPEND="${CDEPEND}"
 
 distutils_enable_tests setup.py
 
+python_prepare_all() {
+	# Disable broken tests
+	# https://bitbucket.org/DavidVilla/python-doublex/issues/5/support-for-python-36-37-38-tests-failing
+	sed -i "s/test_*hamcrest_/_&/" doublex/test/report_tests.py || die
+	# https://bitbucket.org/DavidVilla/python-doublex/issues/6/more-failing-tests-with-python-39
+	sed -i -r "s/test_(proxyspy_get_stubbed_property|stub_property|custom_equality_comparable_objects)/_&/" \
+		doublex/test/unit_tests.py || die
+	distutils-r1_python_prepare_all
+}
+
 python_compile_all() {
 	use doc && emake -C docs
 }


             reply	other threads:[~2020-09-13 16:50 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-09-13 16:50 Louis Sautier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-18 16:59 [gentoo-commits] repo/gentoo:master commit in: dev-python/doublex/ Michał Górny
2023-05-31 16:05 Michał Górny
2023-03-14 19:49 Sam James
2023-03-14  5:02 Michał Górny
2023-03-13 19:26 Arthur Zamarin
2023-02-14 15:25 Michał Górny
2021-09-12  7:39 Michał Górny
2021-09-12  7:31 Sam James
2020-11-04  5:32 Sam James
2020-09-05  0:29 Sam James
2020-05-05 11:51 Joonas Niilola
2020-03-27  7:25 Michał Górny
2020-03-17  7:23 Michał Górny
2020-03-08 10:42 Agostino Sarubbo
2020-02-29 21:41 Sebastian Pipping
2020-02-05  5:50 Michał Górny
2018-03-30 18:35 Aaron Bauman
2017-05-11  3:22 Zac Medico
2017-03-10 15:26 Manuel Rüger
2015-09-11  7:53 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1600015840.f04279a491165d84f5120dddaf30c7cd007cd037.sbraz@gentoo \
    --to=sbraz@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox